Subject: Manchurian Mushrooms

From: [email-masked] (Erica Tan)
Date: Fri, 14 Jul 1995 14:01:38 GMT

Does anybody know of the longterm effects of Manchurian
Mushrooms?  My mother used to drink the "mushroom tea", but she
gave up on it after a month (too much trouble to keep the darn
thing alive).  I was wondering if any studies (published) have
been conducted on these mushrooms.  There seems to be a lot of
interest in these mushrooms, but there isnt' much information
on them.

Thanks in advance.

Erica.